<form method="POST" name="edit_form" id="edit_form" action="<?php echo $this->getSubmitUrl(); ?>">

    <input type="hidden" name="form_key" value="<?php echo $this->getFormKey(); ?>">

    <div class="admin__data-grid-wrap admin__data-grid-wrap-static">

        <table class="data-grid" id="cache_grid_table">
            <thead>
            <tr>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Image'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Sku'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Barcode'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Product'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Qty ordered'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Qty received'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Qty pending'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type"><span><?php echo __('Qty to receive'); ?></span></th>
                <th class="data-grid-th  no-link col-cache_type" style="width: 150px;"><span><?php echo __('Status'); ?></span></th>
            </tr>
            </thead>

            <tbody>
            <?php foreach($this->getTransfer()->getItems() as $item): ?>
                <?php if ($item->getTransferItem()->getPendingQty() <= 0): ?>
                    <?php //dont display products already transfered ?>
                    <?php continue; ?>
                <?php endif; ?>
                <input type="hidden" name="remaining_<?php echo $item->getst_product_id(); ?>" id="remaining_<?php echo $item->getst_product_id(); ?>" value="<?php echo $item->getTransferItem()->getPendingQty(); ?>">
                <input type="hidden" name="name_<?php echo $item->getst_product_id(); ?>" id="name_<?php echo $item->getst_product_id(); ?>" value="<?php echo $item->getTransferItem()->getRelatedProduct()->getName(); ?>">

                <tr id="tr_<?php echo $item->getst_product_id(); ?>">
                    <td class="a-center"><img src="<?php echo $this->getImageUrl($item); ?>" width="30"></td>
                    <td class="a-left"><a href="<?php echo $this->getProductUrl($item); ?>"><?php echo $item->getSku(); ?></a></td>
                    <td class="a-left"><?php echo $item->getData($this->getBarcodeAttribute()); ?></a></td>
                    <td class="a-left"><?php echo $item->getName(); ?></td>
                    <td class="a-center"><?php echo $item->getst_qty(); ?></td>
                    <td class="a-center"><?php echo ($item->getst_qty_transfered() ? $item->getst_qty_transfered() : "0"); ?></td>
                    <td class="a-center"><?php echo $item->getTransferItem()->getPendingQty(); ?></td>
                    <td class="a-center">
                        <input type="button" value="--" onclick="stockTransferReception.qtyMini(<?php echo $item->getst_product_id(); ?>);" />
                        <input type="button" value="-" onclick="stockTransferReception.qtyDecrease(<?php echo $item->getst_product_id(); ?>);" />
                        <input type="text" onkeyup="stockTransferReception.qtyChanged();" name="products[<?php echo $item->getst_product_id(); ?>][qty]" id="qty_<?php echo $item->getst_product_id(); ?>" value="0" size="3">
                        <input type="button" value="+" onclick="stockTransferReception.qtyIncrease(<?php echo $item->getst_product_id(); ?>);" />
                        <input type="button" value="++" onclick="stockTransferReception.qtyMaxi(<?php echo $item->getst_product_id(); ?>);" />
                    </td>
                    <td class="a-center"><span id="cell_status_<?php echo $item->getst_product_id(); ?>"></span></td>
                </tr>
            <?php endforeach; ?>
            </tbody>
        </table>
    </div>

</form>

<script>
    require(["advancedstock_transfer_reception"], function(){
        stockTransferReception = new stockTransferReception();
        stockTransferReception.init(<?php echo $this->getProductIdsJson(); ?>, <?php echo $this->getBarcodesJson(); ?>);
        stockTransferReception.qtyChanged();
    });
</script>

<audio id="audio_nok" src="<?php echo $this->getViewFileUrl('BoostMyShop_AdvancedStock::sound/wrong.mp3'); ?>" ></audio>
<audio id="audio_ok" src="<?php echo $this->getViewFileUrl('BoostMyShop_AdvancedStock::sound/correct.mp3'); ?>" ></audio>
